Bug 1053765 - Assertion failure when attempting to trace a command that was not found
Summary: Assertion failure when attempting to trace a command that was not found
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ltrace
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Machata
QA Contact: Michael Petlan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 18:05 UTC by Petr Machata
Modified: 2015-05-05 01:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:50:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Machata 2014-01-15 18:05:10 UTC
Description of problem:
$ ltrace blah
ltrace: ltrace-elf.c:423: ltelf_destroy: Assertion `(&lte->plt_relocs)->elt_size == sizeof(GElf_Rela)' failed.
Аварийный останов

Version-Release number of selected component (if applicable):
ltrace-0.7.91-5

How reproducible:
Always.

Steps to Reproduce:
1. As indicated.
2.
3.

Actual results:
As indicated.

Expected results:
A meaningful error message.

Additional info:
Upstream has the necessary fix as 0ba3c5ee and 2bfea358.

Comment 2 Michael Petlan 2014-02-11 15:29:21 UTC
Reproduced with ltrace-0.7.91-5.el7.
Tested with ltrace-0.7.91-6.el7 --> this version is OK.

VERIFIED.

Comment 3 Ludek Smid 2014-06-13 11:50:06 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.